package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TipoEmpresa generated by hbm2java
 */
@Entity
@Table(name="tipo_empresa"
    ,catalog="sistema_ventas"
)
public class TipoEmpresa  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idtEm;
     private String tipoEmpresa;
     private Set<Empresa> empresas = new HashSet<Empresa>(0);

    public TipoEmpresa() {
    }

    public TipoEmpresa(String tipoEmpresa, Set<Empresa> empresas) {
       this.tipoEmpresa = tipoEmpresa;
       this.empresas = empresas;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idt_em", unique=true, nullable=false)
    public Integer getIdtEm() {
        return this.idtEm;
    }
    
    public void setIdtEm(Integer idtEm) {
        this.idtEm = idtEm;
    }

    
    @Column(name="tipo_empresa", length=50)
    public String getTipoEmpresa() {
        return this.tipoEmpresa;
    }
    
    public void setTipoEmpresa(String tipoEmpresa) {
        this.tipoEmpresa = tipoEmpresa;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="tipoEmpresa")
    public Set<Empresa> getEmpresas() {
        return this.empresas;
    }
    
    public void setEmpresas(Set<Empresa> empresas) {
        this.empresas = empresas;
    }




}


